Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[EBUILD] Kadu 1.0 (modularne) - roslin
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish)
View previous topic :: View next topic  
Author Message
acei
Tux's lil' helper
Tux's lil' helper


Joined: 16 Sep 2007
Posts: 90

PostPosted: Wed Dec 28, 2011 6:40 pm    Post subject: Reply with quote

Dorzuciłem patcha
Code:
diff --git a/kadu-core/CMakeLists.txt b/kadu-core/CMakeLists.txt
index 28091d8..5384211 100644
--- a/kadu-core/CMakeLists.txt
+++ b/kadu-core/CMakeLists.txt
@@ -34,6 +34,9 @@ if (NOT NETWORK_IMPLEMENTATION)
       set (NETWORK_IMPLEMENTATION "Qt" CACHE STRING "Select network-aware implementation (Qt/ntrack/dummy)" FORCE)
       message (STATUS "No NETWORK_IMPLEMENTATION defined. Autodetected implementation: Qt")
    endif (QNTRACK_FOUND)
+elseif (${NETWORK_IMPLEMENTATION} STREQUAL "ntrack")
+   set (QNtrack_FIND_REQUIRED true)
+   include (FindQNtrack)
 endif (NOT NETWORK_IMPLEMENTATION)
 
 set (kadu_SRCS

do ebuilda
Code:
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

inherit kadu

DESCRIPTION="The core of Kadu IM"
HOMEPAGE="http://kadu.net"
KEYWORDS=""

IUSE="ayatana +ntrack"

RDEPEND="app-crypt/qca:2
        >=x11-libs/qt-gui-4.7.0
        >=x11-libs/qt-webkit-4.7.0
        >=x11-libs/qt-dbus-4.7.0
        >=x11-libs/qt-svg-4.7.0
        x11-libs/libXfixes
        ayatana? ( dev-libs/libindicate-qt )
        ntrack? ( >=net-libs/ntrack-0.14[qt4] )"

DEPEND="${RDEPEND}"

PATCHES=( "${FILESDIR}/${P}-cmake.patch"
                "${FILESDIR}/${P}-cmake2.patch" )

src_configure() {
        # Disable plugins
        local mycmakeargs="-DBUILD_PLUGINS:BOOL=OFF"

        use ayatana && mycmakeargs="${mycmakeargs} -DWITH_LIBINDICATE_QT:BOOL=ON"

        if use ntrack ; then
                mycmakeargs="${mycmakeargs} -DNETWORK_IMPLEMENTATION:STRING='ntrack'"
        else
                mycmakeargs="${mycmakeargs} -DNETWORK_IMPLEMENTATION:STRING='Qt'"
        fi

        kadu_src_configure
}

pkg_postinst() {
        ewarn "If you rebuilt the core by hand, recompiling the modules is advised."
        ewarn "You may do so by using emerge -1av \$(qlist -I -C net-im/kadu-)"
        ewarn "This requires app-portage/portage-utils to be installed."
}

i się skompilowało :).

No i kawałek configure
Code:
>>> Emerging (1 of 1) net-im/kadu-core-0.11.0_beta1 from roslin
 * kadu-0.11.0-beta1.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                      [ ok ]
>>> Unpacking source...
>>> Unpacking kadu-0.11.0-beta1.tar.bz2 to /var/tmp/portage/net-im/kadu-core-0.11.0_beta1/work
>>> Source unpacked in /var/tmp/portage/net-im/kadu-core-0.11.0_beta1/work
>>> Preparing source in /var/tmp/portage/net-im/kadu-core-0.11.0_beta1/work/kadu-0.11.0-beta1 ...
 * Applying kadu-core-0.11.0_beta1-cmake.patch ...                                [ ok ]
 * Applying kadu-core-0.11.0_beta1-cmake2.patch ...                               [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/net-im/kadu-core-0.11.0_beta1/work/kadu-0.11.0-beta1 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/net-im/kadu-core-0.11.0_beta1/work/kadu-core-0.11.0_beta1_build"
cmake --no-warn-unused-cli -C /var/tmp/portage/net-im/kadu-core-0.11.0_beta1/temp/gentoo_common_config.cmake -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_PLUGINS:BOOL=OFF -DNETWORK_IMPLEMENTATION:STRING='ntrack' -DBUILD_DESCRIPTION:STRING='Gentoo Linux' -DENABLE_AUTODOWNLOAD:BOOL=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/net-im/kadu-core-0.11.0_beta1/temp/gentoo_rules.cmake  /var/tmp/portage/net-im/kadu-core-0.11.0_beta1/work/kadu-0.11.0-beta1
Not searching for unused variables given on the command line.
loading initial cache file /var/tmp/portage/net-im/kadu-core-0.11.0_beta1/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
fatal: Not a git repository (or any of the parent directories): .git
-- Looking for include files HAVE_EXECINFO
-- Looking for include files HAVE_EXECINFO - found
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt4: /usr/bin/qmake (found suitable version "4.7.4", required is "4.7.0")
-- Found Kadu headers: /usr/include/kadu/kadu
-- Fast linking enabled
-- checking for one of the modules 'indicate-qt'
-- libindicate-qt devel NOT FOUND. Disabling Ayatana support
-- Found QNtrack: /usr/lib64/libntrack-qt4.so
-- checking for one of the modules 'qca2'
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Found X11 libraries: /usr/lib64/libX11.so
-- Found X11 Xfixes extension: /usr/lib64/libXfixes.so
-- Using ntrack network implementation
-- Emoticon theme: penguins
-- Emoticon theme: tango
-- Icon theme: default
-- Icon theme: glass
-- Icon theme: oxygen
-- Sound theme: default
-- Kadu (version: 0.11.0-beta1) will be built:
--  * install prefix: /usr
--  * build type: Gentoo
-- <<< Gentoo configuration >>>
Build type      Gentoo
Install path    /usr
Compiler flags:
C               -Wall -Wextra -Wstrict-aliasing=2 -march=core2 -O2 -pipe
C++             -Wall -Wextra -Woverloaded-virtual -Wstrict-aliasing=2 -march=core2 -O2 -pipe
Linker flags:
Executable       -Wl,-O1 -Wl,--as-needed
Module           -Wl,-O1 -Wl,--as-needed
Shared           -Wl,-O1 -Wl,--as-needed

-- Configuring done

_________________
GA965P+E6320+Geil 2*1GB CL4+ATI HD6570 ~amd64
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 638

PostPosted: Wed Dec 28, 2011 7:17 pm    Post subject: Reply with quote

Dzięki za testy. Commit już poszedł.
_________________
Gentoo Linux 13.0 | 3.14.0 | glibc 2.17 | gcc 4.8.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
beevvy
n00b
n00b


Joined: 08 Mar 2010
Posts: 16

PostPosted: Wed Dec 28, 2011 10:30 pm    Post subject: Reply with quote

A skoro była mowa o automagicznych zależnościach, to dla USE=-ayatana trzeba przekazać -DWITH_LIBINDICATE_QT=OFF :).
Back to top
View user's profile Send private message
Belliash
Advocate
Advocate


Joined: 24 Nov 2004
Posts: 2397
Location: Legnica, Poland

PostPosted: Sun Mar 18, 2012 3:54 pm    Post subject: Reply with quote

A ktos posiada taki oto pliczek: http://wilku.tk/files/emots_gg10.zip bo serwer nie dziala? ;]
_________________
Asio Software Technologies
Belliash IT Weblog
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 638

PostPosted: Sun Mar 18, 2012 4:59 pm    Post subject: Reply with quote

Wrzuciłem na omploader. Jeśli trzeba, poprawię SRC_URI w ebuildzie.
_________________
Gentoo Linux 13.0 | 3.14.0 | glibc 2.17 | gcc 4.8.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
mirekm
Apprentice
Apprentice


Joined: 12 Feb 2004
Posts: 158
Location: Gliwice

PostPosted: Thu Mar 29, 2012 3:07 pm    Post subject: Reply with quote

Jakby ktoś miał problem, to taka uwaga.
ntrack powoduje problemy z klientem NetworkManagera pod kde. Tzn jeżeli jest zainstalowany w systemie, to próby rozłączania z siecią modemową, vpn powodują zawieszenie tacki sytemowej,
i klienta networkmanagera, a proces kded4 wchodzi w jakąś nieskończoną pętlę.

Przez jakiś czas cierpiałem z powodu tego buga, ale właśnie znalazłem rozwiązanie.
Dla zainteresowanych:

https://bugs.kde.org/show_bug.cgi?id=268038
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 638

PostPosted: Thu Mar 29, 2012 3:33 pm    Post subject: Reply with quote

ntrack-016 już nie powinien mieć tego buga. Właśnie sprawdziłem i ta zmiana jest w nim zawarta.
_________________
Gentoo Linux 13.0 | 3.14.0 | glibc 2.17 | gcc 4.8.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
bike123
n00b
n00b


Joined: 05 Dec 2010
Posts: 4

PostPosted: Wed Jul 04, 2012 9:37 am    Post subject: Reply with quote

Witam.
Od kilku wersji wstecz nie moge zlokalizowac exportu/importu kontaktow na serwer. w menu "twoje konta>znajomi" mam tylko przyciski zapisz do pliku i przywroc z pliku. jest szansa ze nie mam czego do instalowane ?

@DOWN: dzieki wielkie.


Last edited by bike123 on Wed Jul 04, 2012 1:08 pm; edited 1 time in total
Back to top
View user's profile Send private message
beevvy
n00b
n00b


Joined: 08 Mar 2010
Posts: 16

PostPosted: Wed Jul 04, 2012 11:45 am    Post subject: Reply with quote

Import i eksport kontaktów na serwer odbywa się w sposób automatyczny. Bezwarunkowo.
Back to top
View user's profile Send private message
znal
Apprentice
Apprentice


Joined: 12 Jul 2007
Posts: 177

PostPosted: Sun Aug 26, 2012 12:31 pm    Post subject: Reply with quote

Wygląda na to, że brakuje patcha w repo albo jest źle nazwany:
Code:
>>> Unpacking kadu-0.12.1.tar.bz2 to /var/tmp/portage/net-im/kadu-core-0.12.1/work
>>> Source unpacked in /var/tmp/portage/net-im/kadu-core-0.12.1/work
>>> Preparing source in /var/tmp/portage/net-im/kadu-core-0.12.1/work/kadu-0.12.1 ...
 * QA: File or directory "/var/lib/layman/roslin/net-im/kadu-core/files/kadu-core-0.12.1_beta2-cmake.patch" does not exist.
 * QA: Check your PATCHES array or add missing file/directory.
 * ERROR: net-im/kadu-core-0.12.1 failed (prepare phase):
 *   Some patches failed. See above messages.
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_prepare
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 638

PostPosted: Sun Aug 26, 2012 3:06 pm    Post subject: Reply with quote

Mój błąd. Poprawiłem to, ale zapomniałem puścić commita. Już poprawione.
_________________
Gentoo Linux 13.0 | 3.14.0 | glibc 2.17 | gcc 4.8.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
cabana
n00b
n00b


Joined: 29 Mar 2011
Posts: 23
Location: Wrocław

PostPosted: Thu Dec 27, 2012 12:48 pm    Post subject: Reply with quote

Cos przy instalacji sie wyklada
http://wklej.org/hash/53cb2caa330/
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 638

PostPosted: Thu Dec 27, 2012 2:52 pm    Post subject: Reply with quote

Nie jest to problem z ebuildem, tylko z twoimi flagami. A rozwiązanie jest podane na samym końcu błędu:
Code:
The following USE changes are necessary to proceed:
#required by x11-libs/qt-webkit-4.8.4[gstreamer], required by net-im/kadu-0.12.0, required by kadu (argument)
=dev-libs/libxml2-2.8.0-r3 -icu

_________________
Gentoo Linux 13.0 | 3.14.0 | glibc 2.17 | gcc 4.8.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
cabana
n00b
n00b


Joined: 29 Mar 2011
Posts: 23
Location: Wrocław

PostPosted: Thu Dec 27, 2012 2:56 pm    Post subject: Reply with quote

To naprawilem,ale dreczy mnie to dalej

http://wklej.org/hash/b7ea0e1ae15/
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 638

PostPosted: Thu Dec 27, 2012 3:33 pm    Post subject: Reply with quote

Najprawdopodobniej masz odmaskowane nie wszystkie części Qt i stąd ten konflikt. Spróbuj odmaskować wszystko z Qt.
_________________
Gentoo Linux 13.0 | 3.14.0 | glibc 2.17 | gcc 4.8.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
cabana
n00b
n00b


Joined: 29 Mar 2011
Posts: 23
Location: Wrocław

PostPosted: Thu Dec 27, 2012 3:38 pm    Post subject: Reply with quote

a jak, bo ja troche zielony jestem :(
Back to top
View user's profile Send private message
beevvy
n00b
n00b


Joined: 08 Mar 2010
Posts: 16

PostPosted: Thu Dec 27, 2012 9:33 pm    Post subject: Reply with quote

Po pierwsze to przecież instalujesz Kadu z repozytorium gentoo (znaczy z portage), nie z roslina.

kadu-0.12.0::gentoo blokuje nowe wersje Qt. Najlepiej to zbuduj sobie kadu-0.12.3. Nie jest ono jeszcze oznaczone jako stabilne wg Gentoo, więc zrób tak:
Code:
echo =net-im/kadu-0.12.3 ~$([ "$(uname -m)" = "x86_64" ] && echo amd64 || echo x86) >> /etc/portage/package.accept_keywords
Back to top
View user's profile Send private message
KotBehemot
n00b
n00b


Joined: 28 Feb 2005
Posts: 71
Location: Poland Gdansk

PostPosted: Fri Jul 19, 2013 10:25 am    Post subject: Reply with quote

A ja chcailbym zauwazyc ze ntrack ma jakis problem gdy jest libns w wersji 3 i wywala taki oto error jak tutaj debianowcom http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=713454.
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 638

PostPosted: Fri Jul 19, 2013 12:30 pm    Post subject: Reply with quote

Właśnie puściłem commit z rev-bumpem, który może naprawić tę usterkę. Spróbuj czy pomógł.
_________________
Gentoo Linux 13.0 | 3.14.0 | glibc 2.17 | gcc 4.8.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
nUmer_inaczej
Tux's lil' helper
Tux's lil' helper


Joined: 24 Apr 2007
Posts: 136
Location: Bydgoszcz

PostPosted: Sat Jul 27, 2013 6:20 am    Post subject: Reply with quote

Ja również mam błąd podczas aktualizacji (kompilacji).
Code:

make[2]: *** [ntrack_libnl3_x_la-ntrack-libnl.lo] Error 1
make[2]: Leaving directory `/var/tmp/portage/net-libs/ntrack-0.16-r2/work/ntrack-0.16_build/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-libs/ntrack-0.16-r2/work/ntrack-0.16_build'
make: *** [all] Error 2

 * ERROR: net-libs/ntrack-0.16-r2 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=net-libs/ntrack-0.16-r2'`,
 * the complete build log and the output of `emerge -pqv '=net-libs/ntrack-0.16-r2'`.
 * This ebuild is from an overlay named 'roslin': '/var/lib/layman/roslin/'
 * The complete build log is located at '/var/tmp/portage/net-libs/ntrack-0.16-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-libs/ntrack-0.16-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/net-libs/ntrack-0.16-r2/work/ntrack-0.16_build'
 * S: '/var/tmp/portage/net-libs/ntrack-0.16-r2/work/ntrack-016'

mziab - możesz mi nieco więcej wyjaśnić o co chodzi z tym rev-bumpem? - nie bardzo wiem a chciałbym rozwiązać problem.
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 638

PostPosted: Sat Jul 27, 2013 3:40 pm    Post subject: Reply with quote

nUmer_inaczej: Po pierwsze, pokazałeś samą końcówkę loga, z której można wyczytać tylko, że wystąpił jakiś błąd. Sugeruję wrzucić gdzieś większy kawałek albo całego build loga. Druga sprawa, -r2 zawiera poprawkę zapożyczoną bodaj z patchy Debiana - usuwa flagę -pedantic, której domyślnie używał ntrack. Nie daję gwarancji, że naprawi to błąd, który napotkał KotBehemot, ale póki co to mój najlepszy pomysł. U ciebie -r2 się nie kompiluje, a -r1 tak? Czy nie kompilują się obie rewizje?
_________________
Gentoo Linux 13.0 | 3.14.0 | glibc 2.17 | gcc 4.8.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
nUmer_inaczej
Tux's lil' helper
Tux's lil' helper


Joined: 24 Apr 2007
Posts: 136
Location: Bydgoszcz

PostPosted: Sat Jul 27, 2013 3:49 pm    Post subject: Reply with quote

Tak - r1 kompiluje się prawidłowo.
emerge --info
Tutaj jest log z kompilacji ntrack-r2
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 638

PostPosted: Sat Jul 27, 2013 6:02 pm    Post subject: Reply with quote

W jakiej wersji masz libnl? Twój błąd z -r2 jest identyczny jak zgłoszony przez KotaBehemota. Czyli możemy chyba stwierdzić, że ta poprawka nic nie dała. Aż dziwne, że -r1 ci działa. Możesz sprawdzić jeszcze raz? Bo logika podpowiada, że powinno wykładać się w identycznym.
_________________
Gentoo Linux 13.0 | 3.14.0 | glibc 2.17 | gcc 4.8.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
nUmer_inaczej
Tux's lil' helper
Tux's lil' helper


Joined: 24 Apr 2007
Posts: 136
Location: Bydgoszcz

PostPosted: Sat Jul 27, 2013 6:13 pm    Post subject: Reply with quote

dev-libs/libnl-3.2.22

Jednak wykłada się przy kompilacji net-libs/ntrack-0.16-r1 - log
Przy czym miałem go skompilowanego wcześniej:
Code:

[U] net-libs/ntrack [1]
     Available versions:  (~)0.16 0.16-r1 0.16-r2 {{glib +libnl qt4 rtnetlink}}
     Installed versions:  0.16-r1(20:51:07 11.05.2013)(libnl qt4 -glib -rtnetlink)
     Homepage:            https://launchpad.net/ntrack
     Description:         A lightweight library for getting events on network online status changes
Back to top
View user's profile Send private message
Jacekalex
Guru
Guru


Joined: 17 Sep 2009
Posts: 496

PostPosted: Sat Jul 27, 2013 6:14 pm    Post subject: Reply with quote

mziab wrote:
W jakiej wersji masz libnl? Twój błąd z -r2 jest identyczny jak zgłoszony przez KotaBehemota. Czyli możemy chyba stwierdzić, że ta poprawka nic nie dała. Aż dziwne, że -r1 ci działa. Możesz sprawdzić jeszcze raz? Bo logika podpowiada, że powinno wykładać się w identycznym.


Kadu używam bardzo rzadko, mam wersję 12.3 -właściwie tylko po to, żeby czasem jakiś plik przez gg wysłać/odebrać (Pidgin tego nie potrafi).

Zainstalowane:
Code:
~>  qlist -IvUC kadu ntrack libnl
dev-libs/libnl-1.1.4
dev-libs/libnl-3.2.22
net-firewall/conntrack-tools-1.4.1
net-im/kadu-antistring-0.12.3
net-im/kadu-core-0.12.3 (ntrack)
net-im/kadu-firewall-0.12.3
net-im/kadu-history-0.12.3
net-im/kadu-sms-0.12.3
net-libs/libnetfilter_conntrack-1.0.3
net-libs/ntrack-0.14-r2 (glib qt4)


W ramach testu próbowałem skompilować nowy ntrack (net-libs/ntrack-0.16-r2), skończyło się tak:
http://pastebin.com/raw.php?i=Vupqw4zb
Przy ntrack-0.16-r1 jest dokładnie ten sam błąd.

W logu pisze o jakiejś łatce, ale samej latki na oczy nie widziałem.
W każdym razie u mnie się nie pali z nowszą wersją tej biblioteki.


Pozdrawiam
8)


Last edited by Jacekalex on Sat Jul 27, 2013 8:15 pm; edited 4 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish) All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 8 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum